## com.sun.jersey.core.spi.component
Interface ComponentContext

All Known Implementing Classes:
  AnnotatedContext

    public interface ComponentContext

A component context providing information to `ComponentProvider` and `InjectableProvider` instances on the accessible object and list of annotations associated with the component instance to be obtained and/or injected.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.lang.reflect.AccessibleObject` | `getAccesibleObject()` Get the accessible object.
`java.lang.annotation.Annotation[]` | `getAnnotations()` Get the array of annotations.

Method Detail

### getAccesibleObject

    java.lang.reflect.AccessibleObject getAccesibleObject()

  Get the accessible object.

  Returns:
    the accessible object, may be null.

### getAnnotations

    java.lang.annotation.Annotation[] getAnnotations()

  Get the array of annotations.

  Returns:
    the array of annotations.

Copyright © 2017 Oracle Corporation. All Rights Reserved.